Bug 727826 - RFE - Order Projects alphabetically [NEEDINFO]
Summary: RFE - Order Projects alphabetically
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: 1.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 2.3
Assignee: Alex Eng
QA Contact: David Mason
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 10:51 UTC by Joshua Wulf
Modified: 2014-10-19 22:59 UTC (History)
6 users (show)

Fixed In Version: 2.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 03:24:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
aeng: needinfo? (jwulf)


Attachments (Terms of Use)

Description Joshua Wulf 2011-08-03 10:51:56 UTC
At the moment Projects seemed to be ordered according to FILO. The one at the top is the most recently created. Can we change this so that they are ordered alphabetically?

Comment 1 Joshua Wulf 2011-08-03 10:52:23 UTC
Example of current ordering: https://fedora.zanata.org/zanata/project/list

Comment 2 Sean Flanigan 2011-09-07 04:33:04 UTC
Assigning to Scrum product owner for prioritisation.

Comment 3 Joshua Wulf 2011-09-08 20:47:58 UTC
If we order alphabetically, it would be ideal to have paging based on initial letter, so either links to each letter, or letter ranges.

Comment 4 Alex Eng 2012-01-05 23:07:21 UTC
The project column is sortable by clicking on the project header. Or its better to have it sorted by project name by default?

Comment 7 Alex Eng 2013-04-09 05:14:39 UTC
Implemented in 2.3.

See
https://github.com/zanata/zanata/commit/94d982e66bb212eef083e0bb155a32dc6df3ea4b

Comment 8 David Mason 2013-04-10 23:41:47 UTC
Verified simple alphabetical sorting in Zanata version 2.3-SNAPSHOT (20130410-1246).

Comment 9 Sean Flanigan 2013-11-27 03:15:22 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 10 Sean Flanigan 2013-11-27 03:16:44 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 11 Sean Flanigan 2013-11-27 03:18:41 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 12 Sean Flanigan 2013-11-27 03:24:47 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 13 Sean Flanigan 2013-11-27 03:33:20 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 14 Sean Flanigan 2013-11-27 03:35:37 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.